commit c052ac7dc3c71e083317d8bcd234fa32a0f964ab
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Jan 20 20:20:27 2026 +0000

    Debug: add "regex" channel

diff --git a/src/src/globals.c b/src/src/globals.c
index 90906e923..c4f5064e7 100644
--- a/src/src/globals.c
+++ b/src/src/globals.c
@@ -655,9 +655,10 @@ uschar *dccifd_options         = US"header";
 int     debug_fd               = -1;
 FILE   *debug_file             = NULL;
 int     debug_notall[]         = {
+  Di_macro,
   Di_memory,
   Di_noutf8,
-  Di_macro,
+  Di_regex,
   -1
 };
 bit_table debug_options[]      = { /* must be in alphabetical order and use
@@ -686,6 +687,7 @@ bit_table debug_options[]      = { /* must be in alphabetical order and use
   BIT_TABLE(D, process_info),
   BIT_TABLE(D, queue_run),
   BIT_TABLE(D, receive),
+  BIT_TABLE(D, regex),
   BIT_TABLE(D, resolver),
   BIT_TABLE(D, retry),
   BIT_TABLE(D, rewrite),
diff --git a/src/src/macros.h b/src/src/macros.h
index a1a9cd6c1..8ab066fac 100644
--- a/src/src/macros.h
+++ b/src/src/macros.h
@@ -412,8 +412,10 @@ enum {
   DEBUG_BIT(verify),		/* 31 */
 #if EXIM_ULONG_BITS > 32
   DEBUG_BIT(macro),		/* 33 */
+  DEBUG_BIT(regex),
 #else
   DEBUG_Z_BIT(macro),
+  DEBUG_Z_BIT(regex),
 #endif
 };
 
diff --git a/src/src/regex_cache.c b/src/src/regex_cache.c
index 713da90d5..ab26b8a96 100644
--- a/src/src/regex_cache.c
+++ b/src/src/regex_cache.c
@@ -52,7 +52,7 @@ int rlen = sizeof(re_req) + klen;
 re_req * req;
 int fd, old_pool = store_pool;
 
-DEBUG(D_expand|D_lists)
+DEBUG(D_regex)
   debug_printf_indent("sending RE '%s' to daemon\n", key);
 
 store_pool = POOL_MAIN;
@@ -68,11 +68,11 @@ if ((fd = socket(AF_UNIX, SOCK_DGRAM, 0)) >= 0)
   ssize_t len = daemon_notifier_sockname(&sa_un);
 
   if (sendto(fd, req, rlen, 0, (struct sockaddr *)&sa_un, (socklen_t)len) < 0)
-    DEBUG(D_queue_run)
+    DEBUG(D_regex)
       debug_printf("%s: sendto %s\n", __FUNCTION__, strerror(errno));
   close(fd);
   }
-else DEBUG(D_queue_run) debug_printf(" socket: %s\n", strerror(errno));
+else DEBUG(D_regex) debug_printf(" socket: %s\n", strerror(errno));
 }
 
 
@@ -81,7 +81,7 @@ regex_from_cache(const uschar * key, BOOL caseless)
 {
 tree_node * node  =
   tree_search(caseless ? regex_caseless_cache : regex_cache, key);
-DEBUG(D_expand|D_lists)
+DEBUG(D_regex)
   debug_printf_indent("compiled %sRE '%s' %sfound in local cache\n",
 		      caseless ? "caseless " : "", key, node ? "" : "not ");
 
@@ -99,8 +99,8 @@ Ustrcpy(node->name, key);
 node->data.ptr = (void *)cre;
 
 if (!tree_insertnode(caseless ? &regex_caseless_cache : &regex_cache, node))
-  { DEBUG(D_expand|D_lists) debug_printf_indent("duplicate key!\n"); }
-else DEBUG(D_expand|D_lists)
+  { DEBUG(D_regex) debug_printf_indent("duplicate key!\n"); }
+else DEBUG(D_regex)
   debug_printf_indent("compiled RE '%s' saved in local cache\n", key);
 
 /* Additionally, if not re-execed and not the daemon, tell the daemon of the RE
@@ -204,7 +204,7 @@ if (  flags & MCS_CACHEABLE
    && (yield = regex_from_cache(key, caseless)))
   return yield;
 
-DEBUG(D_expand|D_lists) debug_printf_indent("compiling %sRE '%s'\n",
+DEBUG(D_regex) debug_printf_indent("compiling %sRE '%s'\n",
 				caseless ? "caseless " : "", pattern);
 
 store_pool = POOL_PERM;

